# QMargins Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QMargins()
- void QMargins(int left, int top, int right, int bottom)

### Constructor Properties

- prototype: The QMargins prototype object

### Prototype Object Properties

- int bottom()
- bool isNull()
- int left()
- bool operator_equal(QMargins m2)
- int right()
- void setBottom(int bottom)
- void setLeft(int left)
- void setRight(int right)
- void setTop(int top)
- int top()

### Instance Properties

QMargins objects have no special properties beyond those inherited from the QMargins prototype object.